CharlesTchia
Contributor
Contributor

Android Enterprise: Failed to create the install URL

Anyone seen the above error before? I'm getting it with a Google Pixel 2 XL and 3 XL.
Labels (1)
0 Kudos
14 Replies
chengtmskcc
Expert
Expert

Hi Charles,

Can you provide more info on your issue? What were you doing when you encountered this error?

Best,

Tom
0 Kudos
HimanshuMishra
Enthusiast
Enthusiast

Hi Charles,

What version of console are you running ? We had the same issue  with pixel devices. We upgraded from 1810 to 1907 and it fixed the issue.

Thanks,
Manshu
0 Kudos
chengtmskcc
Expert
Expert

Glad to hear Manshu. I'm still unclear how you and Charles duplicated the issue initially, but I'm getting my console upgraded to 1907 tomorrow.

Did you not consider upgrading to 1908 or later instead?
0 Kudos
HimanshuMishra
Enthusiast
Enthusiast

It is related to OS10 on android devices. Existing enrolled devices that upgraded the OS were fine but new OS10 devices reported an error ' Failed to create the install URL'  during the enrollment. They all automatically fixed with 19.7.0.17. Although I could not find any official information about pixel devices issue from VMware. I am not sure if version 1908 is available yet for on-prem customers.
0 Kudos
CharlesTchia
Contributor
Contributor

Hey Tom and Manshu

Basically got a couple of team members who are coming into ActiveSync directly (manual EAS setup on the device). As we've made some changes in our infrastructure, they have to enrol now via Hub agent so sent a whole lot of users some instructions and a couple of people are reporting this error. When I was on 9.5 (onprem) i had a Pixel 3, PIxel XL and a Pixel 3 XL enrol ok. We are now on 19.02.39 on prem. I found another post (https://support.workspaceone.com/posts/360034802654) that mentioned a seed script fixed there issue and they're still on 9.6
0 Kudos
ITCarl
Contributor
Contributor

I am also experiencing this issue but intermittently.  Console version is 2004, the devices are Samsung Galaxy A30 running OS10.

Was there any resolution to this apart from upgrading to a version I have already surpassed?

0 Kudos
vietinbankemm
Contributor
Contributor

I am looking for this too,

we have a lot of users using Android 10 or higher.

with the OEM version now 180x.

so they got the error "failed to create the install url" with intelligent hub

anyone can help me?

0 Kudos
floresme
Contributor
Contributor

I am also trying to research this issue.  It recently started on the Androids.  I had no issues before.

0 Kudos
floresme
Contributor
Contributor

Well after several attempts. I was sent a message on the phone:

"Because your device is running Android 10 (or a new version), Android Enterprise is required for enrollment.

Please check with your IT admin about enabling Android Enterprise"

 

 

vietinbankemm
Contributor
Contributor

Hi

Have you solved the proplem yet?

please connect me via email tuanhs@vietinbank.vn and share me some information

Thank you

Tuanhs@vietinbank.vn

0 Kudos
Brad_Harris
Contributor
Contributor

We just signed on with VMware One Workspace and so far we have not been able to enroll any of the Android devices due to this error.

During my bootcamp class I asked the instructor why that is and he gave a non-answer saying there could be any number of reasons.

I've gone through all the settings very carefully and I don't see anything that should be causing this problem as far as configuration goes.

jafullersr
Enthusiast
Enthusiast

Google Pixel 5 - running the latest beta of Android 12

I receive this message when the Intelligent Hub attempts to hand off the process to Google for creation of the work profile.  This is on a personal device, so it's not in Zero Touch nor is it auto-enrolled.

We're using on-premise Workspace ONE UEM - Version: 21.2.0.12 (2102)

Any direction for what we should check to allow for this enrollment would be helpful.

vietinbankemm
Contributor
Contributor

hi

could you check your inbox please?

thank you!

0 Kudos
AlexanderMuc
Contributor
Contributor

Hello,

I think I know the error from the past, but I am not 100% sure.

The WS1 UEM console must know the version numbers of the major releases. Otherwise an enrollment with Android Enterprise fails.
Which Android versions are registered in the database can be checked via Smart Group. (Create New Smart Group > Platform and Operating System)
Also with WS1-UEM 21.05.0.16 Android 12 is not listed. Older versions of WS1-UEM may not have Android 11 listed.

In this case the OS seed script must be applied to the WS1-UEM database:
https://resources.workspaceone.com/view/rywydmj6ghb9nmch4ywq/en
(Yes, the name "Temporary ios Seed script iOS 15 RC and iOS 14.8" is a bit misleading, as Android OS versions are also updated)

0 Kudos